unit contacts;

interface

uses sysutils,personne;

type
   TTraiterPersonne = procedure(p : TPersonne);
   TComparerPersonne = function(p1,p2 : TPersonne) : Integer;
   
procedure ajouterContact(nomFichier : String; p : TPersonne);
procedure parcourirContacts(nomFichier : String; traiter : TTraiterPersonne);
procedure parcourirContactsAvecComparaison(nomFichier : String;
                                           traiter : TTraiterPersonne;
                                           comparer : TComparerPersonne;
                                           reference : TPersonne);
procedure supprimerContact(nomFichier : String; nomPersonne,prenomPersonne : String);

implementation

procedure ajouterContact(nomFichier : String; p : TPersonne);
var
   fichier : File of TPersonne;
begin
   assign(fichier,nomFichier);
   if fileExists(nomFichier) then
   begin
      reset(fichier);
      seek(fichier,fileSize(fichier))
   end
   else
      rewrite(fichier);
   write(fichier,p);
   close(fichier)
end;

procedure supprimerContact(nomFichier : String; nomPersonne,prenomPersonne : String);
begin
end;

procedure parcourirContacts(nomFichier : String; traiter : TTraiterPersonne);
var
   fichier : File of TPersonne;
   p : TPersonne;
begin
   assign(fichier,nomFichier);
   if fileExists(nomFichier) then
   begin
      reset(fichier);
      while not eof(fichier) do
      begin
         read(fichier,p);
         traiter(p)
      end;
      close(fichier)
   end
end;

procedure parcourirContactsAvecComparaison(nomFichier : String;
                                           traiter : TTraiterPersonne;
                                           comparer : TComparerPersonne;
                                           reference : TPersonne);
begin
end;

end.
   